Passer directement au contenu principal

Ce navigateur n’est plus pris en charge.

Effectuez une mise à niveau vers Microsoft Edge pour tirer parti des dernières fonctionnalités, des mises à jour de sécurité et du support technique.

Télécharger Microsoft Edge Plus d’informations sur Internet Explorer et Microsoft Edge
microsoft-foundry.rest.security.o-auth2-auth

Agent Invocations WebSocket

Establish a WebSocket connection to a hosted agent

GET /agents/{agent_name}/endpoint/protocols/invocations_ws

Establishes a WebSocket connection to a hosted agent. The target agent is a path segment and the project is taken from the endpoint, mirroring the HTTP /invocations route. The service resolves (or creates) a session, resolves the agent version, then relays text and binary frames bidirectionally between the client and the agent (1 MB maximum frame size).

The client must send an HTTP GET with Upgrade: websocket headers.

Paramètres de chemin d’accès

agent_name string obligatoire

The name of the hosted agent.

Paramètres de la requête

agent_session_id string

Optional session/conversation ID. Pass the same value on a subsequent connection to reattach to an existing session. If not provided, the service auto-generates one.

api-version string obligatoire

The API version to use for this operation.

Réponses

The request has succeeded.

En-têtes

x-agent-session-id string obligatoire

Session ID for this WebSocket connection. Returns the provided session ID or an auto-generated one if not provided in the request.

Corps

Content-Type: application/json

Client error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

Corps

Content-Type: application/json
error OpenAI.Error obligatoire
code string | null obligatoire
message string obligatoire
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
Un des éléments suivants :
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string obligatoire

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Requête

GET /agents/{agent_name}/endpoint/protocols/invocations_ws HTTP/1.1

Response

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
fr-fr
Vos choix en matière de confidentialité
  • Clause d’exclusion de responsabilité sur l’IA
  • Versions antérieures
  • Blog
  • Collaboration
  • Confidentialité
  • Confidentialité de la santé des consommateurs
  • Conditions d’utilisation
  • Accessibilité
  • Marques
  • © Microsoft 2026